Lavalite package that provides import management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/import`.

    "litecms/import": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Import\Providers\ImportServiceProvider::class,

And also add it to alias

    'Import'  => Litecms\Import\Facades\Import::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Import\\Seeds\\ImportTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Import\Providers\ImportServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Import\Providers\ImportServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Import\Providers\ImportServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/import/{modulename}

**User**

    http://path-to-route-folder/user/import/{modulename}

**Public**

    http://path-to-route-folder/imports


### API endpoints

**List**

    http://path-to-route-folder/api/user/import/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/import/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/import/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/import/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/import/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/import/{modulename}/{slug}
    METHOD: GET