<?php

namespace Litecms\Import\Repositories\Eloquent;

use Litecms\Import\Interfaces\ImportRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Import\Repositories\Eloquent\Presenters\ImportItemPresenter;


class ImportRepository extends BaseRepository implements ImportRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.import.import.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.import.import.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ImportItemPresenter::class;
    }
}
